# Uses of Interface
java.net.FileNameMap

Packages that use FileNameMap
Package
Description
java.net
Provides the classes for implementing networking applications.

## Uses of FileNameMap in java.net

Methods in java.net that return FileNameMap
Modifier and Type
Method
Description
`static FileNameMap`
URLConnection.`getFileNameMap()`
Loads filename map (a mimetable) from a data file.
Methods in java.net with parameters of type FileNameMap
Modifier and Type
Method
Description
`static void`
URLConnection.`setFileNameMap​(FileNameMap map)`
Sets the FileNameMap.